<?php
/*
Plugin Name: Mega Zoom & Pan Image Viewer
Plugin URI: https://www.persianscript.ir
Description: Wordpress plugin with a CMS menu for the installation and configuration of the Mega Zoom & Pan Image Viewer
Author: پرشین اسکریپت
Version: 3.0
Author URI: https://www.persianscript.ir
*/

include_once "php/FWDZOOMER.php";
include_once "php/FWDZoomerData.php";

function FWDZOOMER_check_if_admin(){
	$roles = wp_get_current_user()->roles;
	$role = "administrator";
	return in_array($role, $roles);
}

function zoomer_admin_init(){
	if (FWDZOOMER_check_if_admin()){
		$role = get_role("administrator");
		$role->add_cap(FWDZOOMER::CAPABILITY);
	}
}

function init_zoomer(){	
	$pv = new FWDZOOMER();
	$pv->init();
}

add_action("init", "init_zoomer");
add_action("admin_init", "zoomer_admin_init");
add_filter("plugin_action_links_" . plugin_basename(__FILE__), array("FWDZOOMER", "set_action_links"));
?>